commit:     8b45346d365da5a591ee8bb48306e87b4da65dc2
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 16 01:41:04 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Oct 16 01:41:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b45346d

dev-python/s3transfer: add version 0.1.7

Package-Manager: portage-2.3.2

 dev-python/s3transfer/Manifest                |  1 +
 dev-python/s3transfer/s3transfer-0.1.7.ebuild | 38 +++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index aa82d3f..1b30369 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -2,3 +2,4 @@ DIST s3transfer-0.1.2.tar.gz 82681 SHA256 
779d0cd9aa30fa65c6e8da8dc203d165ef7aa6
 DIST s3transfer-0.1.3.tar.gz 83873 SHA256 
af2e541ac584a1e88d3bca9529ae784d2b25e5d448685e0ee64f4c0e1e017ed2 SHA512 
c05ebd67f8295cd595ace77aaf1f437fa4572bfeb31a06df336ba05a17b8d420ce29ff3ba06ce31f75d8a8e9f43bf4dc23559fa1e78e477370ca989010fe23e1
 WHIRLPOOL 
d62df0fb99647e82d82331f953eb943f9e03e930ef9529882e18fe6bcd886f7a8386b9aafcfcae1146b3c5e1f71d9d3d93bbe63715eeeefb5b4fb773f3245cc2
 DIST s3transfer-0.1.4.tar.gz 87620 SHA256 
c41d039ab9204e9eea72a6098ca5092ed001f2820274b80be622dbe582ab2d41 SHA512 
ec56ff5f535ffab7d0c21d933b12d71c55cc4647260f82b54d6aebb97716f3b55d26f75f3640487dcd7275ed2b4a57d3f7b7995b873ec7775f53ec5a13ba0419
 WHIRLPOOL 
bb615d142d9df7c602307c956fa2c8c868f9d35864cdb4ee9b452e34b3831bbcd7ae2c912ecd09177a42bb440c75510d9062c2ca458864d93bf481a3b54d2183
 DIST s3transfer-0.1.5.tar.gz 92081 SHA256 
c500b27b5a8693507e4768730c4c423d4717477c8676139fc764ac4e8e88708e SHA512 
12639ac1576553c95443bcc51eb1c4ed036d5eeec134f0d5922661aa975b905fc433f712c3f4524363b46e3f79dd0dfe91aae75bbeb949c02abe996bae5f020a
 WHIRLPOOL 
444d609770ea5fb84e09a76a3dd7b6047e16064e56417cd25bbed913d8619312405f2ff8dd38b5b300653f430a755afeaaad5f4837b86ae8cfac06ac8732c318
+DIST s3transfer-0.1.7.tar.gz 92659 SHA256 
433d067bafb099a7d1653ae09ba39a7e479c90fcef06d396c8e6823f2a3cfd86 SHA512 
081ed7e35c8c929a0b1f634dd47bb3de4776d40188d4ffc82c681dbe0a771c33351dedbeca3e6f57b94c6e501a0fe058065f18e3078280bd51a14ecbe1d1d35a
 WHIRLPOOL 
1467e7f712a351f4944959a09a2f83e7b99c6283c61b8944fe6874ccaf5f7aa9e84f75253549620237b092b860562de876d2886ee9571699ed19abae9f553513

diff --git a/dev-python/s3transfer/s3transfer-0.1.7.ebuild 
b/dev-python/s3transfer/s3transfer-0.1.7.ebuild
new file mode 100644
index 00000000..7ad1e5c
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.1.7.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+inherit distutils-r1
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="https://github.com/boto/s3transfer";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+CDEPEND="
+       >=dev-python/botocore-1.3.0[${PYTHON_USEDEP}]
+       <dev-python/botocore-2.0.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 
'python2_7')
+       $(python_gen_cond_dep '<dev-python/futures-4.0.0[${PYTHON_USEDEP}]' 
'python2_7')
+"
+# Pin mock to 1.3.0 if testing failures due to mock occur.
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${CDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_test() {
+       nosetests tests/unit/ tests/functional/ || die "tests failed under 
${EPYTHON}"
+}

Reply via email to